# Oboyu Documentation

Welcome to the Oboyu documentation! Oboyu is a Japanese-enhanced semantic search system for your local documents.

## Getting Started

- [**Quickstart Guide**](quickstart.md) - Get up and running with Oboyu in minutes
- [**CLI Reference**](cli.md) - Complete command-line interface documentation
- [**Configuration**](configuration.md) - Configure Oboyu to meet your needs

## Core Features

- [**Indexer**](indexer.md) - Learn how Oboyu indexes your documents
- [**Query Engine**](query_engine.md) - Understanding the search capabilities
- [**Crawler**](crawler.md) - Document discovery and processing
- [**Reranker**](reranker.md) - Advanced result ranking features

## Advanced Topics

- [**Architecture Overview**](architecture.md) - Technical architecture and design
- [**Japanese Language Support**](japanese.md) - Special features for Japanese text
- [**MCP Server Integration**](mcp_server.md) - Model Context Protocol support
- [**Configuration Migration**](immutable-configuration-migration.md) - Migrating to the new configuration system

## Help & Support

- [**Troubleshooting**](troubleshooting.md) - Common issues and solutions

## Features

Oboyu provides:
- 🔍 Fast semantic search across your local documents
- 🇯🇵 Enhanced Japanese language processing
- 🚀 High-performance indexing and retrieval
- 🔧 Flexible configuration options
- 🤖 MCP server integration for AI assistants

## Quick Links

- [GitHub Repository](https://github.com/sonesuke/oboyu)
- [Issue Tracker](https://github.com/sonesuke/oboyu/issues)
- [Contributing Guidelines](https://github.com/sonesuke/oboyu/blob/main/CONTRIBUTING.md)

## License

Oboyu is open source software licensed under the [MIT License](https://github.com/sonesuke/oboyu/blob/main/LICENSE.md).